-- vim: ft=lua ts=2 et sw=2

-- Configuration file for Io.

local hw = Io.system_bus()

Io.add_vbus("cpm", Io.Vi.System_bus
{
  CPM = wrap(hw:match("jz4730-cpm"));
})

Io.add_vbus("dma", Io.Vi.System_bus
{
  CPM = wrap(hw:match("jz4730-cpm"));
  DMA = wrap(hw:match("jz4730-dma"));
})

Io.add_vbus("gpio", Io.Vi.System_bus
{
  GPIO = wrap(hw:match("jz4730-gpio"));
})

Io.add_vbus("i2c", Io.Vi.System_bus
{
  CPM = wrap(hw:match("jz4730-cpm"));
  I2C = wrap(hw:match("jz4730-i2c"));
})

Io.add_vbus("lcd", Io.Vi.System_bus
{
  LCD = wrap(hw:match("jz4740-lcd"));
})

Io.add_vbus("pwm", Io.Vi.System_bus
{
  GPIO = wrap(hw:match("jz4730-gpio"));
  PWM = wrap(hw:match("jz4730-pwm"));
})
